#include <stdio.h>
#include "global.h"
#include "mbuf.h"
#include "enet.h"
#include "trace.h"

ether_dump(bpp,check)
struct mbuf **bpp;
int check;	/* Not used */
{
	struct ether ehdr;
	char s[20],d[20];

	ntohether(&ehdr,bpp);
	pether(s,ehdr.source);
	pether(d,ehdr.dest);
	printf("Ether: len %u %s->%s",ETHERLEN + len_mbuf(*bpp),s,d);

	switch(ehdr.type){
		case IP_TYPE:
			printf(" type IP\n");
			ip_dump(bpp,1);
			break;
		case ARP_TYPE:
			printf(" type ARP\n");
			arp_dump(bpp);
			break;
		default:
			printf(" type 0x%x\n",ehdr.type);
			break;
	}
}

ether_filter(bpp)
struct mbuf **bpp;
{
	extern char ether_bdcst[];
	struct ether ehdr;

	ntohether(&ehdr,bpp);
	if (memcmp(ehdr.dest,ether_bdcst,EADDR_LEN) == 0)
		return 1 ;

	return 0 ;
}
